module CssBasics.Properties exposing (property)

{-|
@docs property
-}


{-| All CSS property names in a record set

    { alignContent = "align-content"
    , alignItems = "align-items"
    , alignSelf = "align-self"
    , all = "all"
    , animation = "animation"
    , animationDelay = "animation-delay"
    , animationDirection = "animation-direction"
    , animationDuration = "animation-duration"
    , animationFillMode = "animation-fill-mode"
    , animationIterationCount = "animation-iteration-count"
    , animationName = "animation-name"
    , animationPlayState = "animation-play-state"
    , animationTimingFunction = "animation-timing-function"
    , azimuth = "azimuth"
    , backfaceVisibility = "backface-visibility"
    , backgroundAttachment = "background-attachment"
    , backgroundBlendMode = "background-blend-mode"
    , backgroundClip = "background-clip"
    , backgroundColor = "background-color"
    , backgroundImage = "background-image"
    , backgroundOrigin = "background-origin"
    , backgroundPosition = "background-position"
    , backgroundRepeat = "background-repeat"
    , backgroundSize = "background-size"
    , background = "background"
    , bleed = "bleed"
    , borderBottomColor = "border-bottom-color"
    , borderBottomLeftRadius = "border-bottom-left-radius"
    , borderBottomRightRadius = "border-bottom-right-radius"
    , borderBottomStyle = "border-bottom-style"
    , borderBottomWidth = "border-bottom-width"
    , borderBottom = "border-bottom"
    , borderCollapse = "border-collapse"
    , borderColor = "border-color"
    , borderImage = "border-image"
    , borderImageOutset = "border-image-outset"
    , borderImageRepeat = "border-image-repeat"
    , borderImageSource = "border-image-source"
    , borderImageSlice = "border-image-slice"
    , borderImageWidth = "border-image-width"
    , borderLeftColor = "border-left-color"
    , borderLeftStyle = "border-left-style"
    , borderLeftWidth = "border-left-width"
    , borderLeft = "border-left"
    , borderRadius = "border-radius"
    , borderRightColor = "border-right-color"
    , borderRightStyle = "border-right-style"
    , borderRightWidth = "border-right-width"
    , borderRight = "border-right"
    , borderSpacing = "border-spacing"
    , borderStyle = "border-style"
    , borderTopColor = "border-top-color"
    , borderTopLeftRadius = "border-top-left-radius"
    , borderTopRightRadius = "border-top-right-radius"
    , borderTopStyle = "border-top-style"
    , borderTopWidth = "border-top-width"
    , borderTop = "border-top"
    , borderWidth = "border-width"
    , border = "border"
    , bottom = "bottom"
    , boxDecorationBreak = "box-decoration-break"
    , boxShadow = "box-shadow"
    , boxSizing = "box-sizing"
    , breakAfter = "break-after"
    , breakBefore = "break-before"
    , breakInside = "break-inside"
    , captionSide = "caption-side"
    , clear = "clear"
    , clip = "clip"
    , color = "color"
    , columns = "columns"
    , columnCount = "column-count"
    , columnFill = "column-fill"
    , columnGap = "column-gap"
    , columnRule = "column-rule"
    , columnRuleColor = "column-rule-color"
    , columnRuleStyle = "column-rule-style"
    , columnRuleWidth = "column-rule-width"
    , columnSpan = "column-span"
    , columnWidth = "column-width"
    , content = "content"
    , counterIncrement = "counter-increment"
    , counterReset = "counter-reset"
    , cueAfter = "cue-after"
    , cueBefore = "cue-before"
    , cue = "cue"
    , cursor = "cursor"
    , direction = "direction"
    , display = "display"
    , elevation = "elevation"
    , emptyCells = "empty-cells"
    , filter = "filter"
    , flex = "flex"
    , flexBasis = "flex-basis"
    , flexDirection = "flex-direction"
    , flexFlow = "flex-flow"
    , flexGrow = "flex-grow"
    , flexShrink = "flex-shrink"
    , flexWrap = "flex-wrap"
    , float = "float"
    , fontFamily = "font-family"
    , fontKerning = "font-kerning"
    , fontSizeAdjust = "font-size-adjust"
    , fontSize = "font-size"
    , fontStretch = "font-stretch"
    , fontStyle = "font-style"
    , fontVariant = "font-variant"
    , fontWeight = "font-weight"
    , font = "font"
    , hangingPunctuation = "hanging-punctuation"
    , height = "height"
    , hyphens = "hyphens"
    , isolation = "isolation"
    , justifyContent = "justify-content"
    , left = "left"
    , letterSpacing = "letter-spacing"
    , lineBreak = "line-break"
    , lineHeight = "line-height"
    , listStyleImage = "list-style-image"
    , listStylePosition = "list-style-position"
    , listStyleType = "list-style-type"
    , listStyle = "list-style"
    , marginBottom = "margin-bottom"
    , marginLeft = "margin-left"
    , marginRight = "margin-right"
    , marginTop = "margin-top"
    , margin = "margin"
    , markerOffset = "marker-offset"
    , marks = "marks"
    , maxHeight = "max-height"
    , maxWidth = "max-width"
    , minHeight = "min-height"
    , minWidth = "min-width"
    , mixBlendMode = "mix-blend-mode"
    , navUp = "nav-up"
    , navDown = "nav-down"
    , navLeft = "nav-left"
    , navRight = "nav-right"
    , opacity = "opacity"
    , order = "order"
    , orphans = "orphans"
    , outlineColor = "outline-color"
    , outlineOffset = "outline-offset"
    , outlineStyle = "outline-style"
    , outlineWidth = "outline-width"
    , outline = "outline"
    , overflow = "overflow"
    , overflowWrap = "overflow-wrap"
    , overflowX = "overflow-x"
    , overflowY = "overflow-y"
    , paddingBottom = "padding-bottom"
    , paddingLeft = "padding-left"
    , paddingRight = "padding-right"
    , paddingTop = "padding-top"
    , padding = "padding"
    , pageBreakAfter = "page-break-after"
    , pageBreakBefore = "page-break-before"
    , pageBreakInside = "page-break-inside"
    , page = "page"
    , pauseAfter = "pause-after"
    , pauseBefore = "pause-before"
    , pause = "pause"
    , perspective = "perspective"
    , perspectiveOrigin = "perspective-origin"
    , pitchRange = "pitch-range"
    , pitch = "pitch"
    , playDuring = "play-during"
    , position = "position"
    , quotes = "quotes"
    , resize = "resize"
    , restAfter = "rest-after"
    , restBefore = "rest-before"
    , rest = "rest"
    , richness = "richness"
    , right = "right"
    , size = "size"
    , speakHeader = "speak-header"
    , speakNumeral = "speak-numeral"
    , speakPunctuation = "speak-punctuation"
    , speak = "speak"
    , speechRate = "speech-rate"
    , stress = "stress"
    , tabSize = "tab-size"
    , tableLayout = "table-layout"
    , textAlign = "text-align"
    , textAlignLast = "text-align-last"
    , textDecoration = "text-decoration"
    , textDecorationColor = "text-decoration-color"
    , textDecorationLine = "text-decoration-line"
    , textDecorationSkip = "text-decoration-skip"
    , textDecorationStyle = "text-decoration-style"
    , textIndent = "text-indent"
    , textOverflow = "text-overflow"
    , textShadow = "text-shadow"
    , textTransform = "text-transform"
    , textUnderlinePosition = "text-underline-position"
    , top = "top"
    , transform = "transform"
    , transformOrigin = "transform-origin"
    , transformStyle = "transform-style"
    , transition = "transition"
    , transitionDelay = "transition-delay"
    , transitionDuration = "transition-duration"
    , transitionProperty = "transition-property"
    , transitionTimingFunction = "transition-timing-function"
    , unicodeBidi = "unicode-bidi"
    , verticalAlign = "vertical-align"
    , visibility = "visibility"
    , voiceBalance = "voice-balance"
    , voiceDuration = "voice-duration"
    , voiceFamily = "voice-family"
    , voicePitch = "voice-pitch"
    , voiceRange = "voice-range"
    , voiceRate = "voice-rate"
    , voiceStress = "voice-stress"
    , voiceVolume = "voice-volume"
    , volume = "volume"
    , whiteSpace = "white-space"
    , widows = "widows"
    , width = "width"
    , wordBreak = "word-break"
    , wordSpacing = "word-spacing"
    , wordWrap = "word-wrap"
    , zIndex = "z-index"
    }
-}
property : Property
property =
  { alignContent = "align-content"
  , alignItems = "align-items"
  , alignSelf = "align-self"
  , all = "all"
  , animation = "animation"
  , animationDelay = "animation-delay"
  , animationDirection = "animation-direction"
  , animationDuration = "animation-duration"
  , animationFillMode = "animation-fill-mode"
  , animationIterationCount = "animation-iteration-count"
  , animationName = "animation-name"
  , animationPlayState = "animation-play-state"
  , animationTimingFunction = "animation-timing-function"
  , azimuth = "azimuth"
  , backfaceVisibility = "backface-visibility"
  , backgroundAttachment = "background-attachment"
  , backgroundBlendMode = "background-blend-mode"
  , backgroundClip = "background-clip"
  , backgroundColor = "background-color"
  , backgroundImage = "background-image"
  , backgroundOrigin = "background-origin"
  , backgroundPosition = "background-position"
  , backgroundRepeat = "background-repeat"
  , backgroundSize = "background-size"
  , background = "background"
  , bleed = "bleed"
  , borderBottomColor = "border-bottom-color"
  , borderBottomLeftRadius = "border-bottom-left-radius"
  , borderBottomRightRadius = "border-bottom-right-radius"
  , borderBottomStyle = "border-bottom-style"
  , borderBottomWidth = "border-bottom-width"
  , borderBottom = "border-bottom"
  , borderCollapse = "border-collapse"
  , borderColor = "border-color"
  , borderImage = "border-image"
  , borderImageOutset = "border-image-outset"
  , borderImageRepeat = "border-image-repeat"
  , borderImageSource = "border-image-source"
  , borderImageSlice = "border-image-slice"
  , borderImageWidth = "border-image-width"
  , borderLeftColor = "border-left-color"
  , borderLeftStyle = "border-left-style"
  , borderLeftWidth = "border-left-width"
  , borderLeft = "border-left"
  , borderRadius = "border-radius"
  , borderRightColor = "border-right-color"
  , borderRightStyle = "border-right-style"
  , borderRightWidth = "border-right-width"
  , borderRight = "border-right"
  , borderSpacing = "border-spacing"
  , borderStyle = "border-style"
  , borderTopColor = "border-top-color"
  , borderTopLeftRadius = "border-top-left-radius"
  , borderTopRightRadius = "border-top-right-radius"
  , borderTopStyle = "border-top-style"
  , borderTopWidth = "border-top-width"
  , borderTop = "border-top"
  , borderWidth = "border-width"
  , border = "border"
  , bottom = "bottom"
  , boxDecorationBreak = "box-decoration-break"
  , boxShadow = "box-shadow"
  , boxSizing = "box-sizing"
  , breakAfter = "break-after"
  , breakBefore = "break-before"
  , breakInside = "break-inside"
  , captionSide = "caption-side"
  , clear = "clear"
  , clip = "clip"
  , color = "color"
  , columns = "columns"
  , columnCount = "column-count"
  , columnFill = "column-fill"
  , columnGap = "column-gap"
  , columnRule = "column-rule"
  , columnRuleColor = "column-rule-color"
  , columnRuleStyle = "column-rule-style"
  , columnRuleWidth = "column-rule-width"
  , columnSpan = "column-span"
  , columnWidth = "column-width"
  , content = "content"
  , counterIncrement = "counter-increment"
  , counterReset = "counter-reset"
  , cueAfter = "cue-after"
  , cueBefore = "cue-before"
  , cue = "cue"
  , cursor = "cursor"
  , direction = "direction"
  , display = "display"
  , elevation = "elevation"
  , emptyCells = "empty-cells"
  , filter = "filter"
  , flex = "flex"
  , flexBasis = "flex-basis"
  , flexDirection = "flex-direction"
  , flexFlow = "flex-flow"
  , flexGrow = "flex-grow"
  , flexShrink = "flex-shrink"
  , flexWrap = "flex-wrap"
  , float = "float"
  , fontFamily = "font-family"
  , fontKerning = "font-kerning"
  , fontSizeAdjust = "font-size-adjust"
  , fontSize = "font-size"
  , fontStretch = "font-stretch"
  , fontStyle = "font-style"
  , fontVariant = "font-variant"
  , fontWeight = "font-weight"
  , font = "font"
  , hangingPunctuation = "hanging-punctuation"
  , height = "height"
  , hyphens = "hyphens"
  , isolation = "isolation"
  , justifyContent = "justify-content"
  , left = "left"
  , letterSpacing = "letter-spacing"
  , lineBreak = "line-break"
  , lineHeight = "line-height"
  , listStyleImage = "list-style-image"
  , listStylePosition = "list-style-position"
  , listStyleType = "list-style-type"
  , listStyle = "list-style"
  , marginBottom = "margin-bottom"
  , marginLeft = "margin-left"
  , marginRight = "margin-right"
  , marginTop = "margin-top"
  , margin = "margin"
  , markerOffset = "marker-offset"
  , marks = "marks"
  , maxHeight = "max-height"
  , maxWidth = "max-width"
  , minHeight = "min-height"
  , minWidth = "min-width"
  , mixBlendMode = "mix-blend-mode"
  , navUp = "nav-up"
  , navDown = "nav-down"
  , navLeft = "nav-left"
  , navRight = "nav-right"
  , opacity = "opacity"
  , order = "order"
  , orphans = "orphans"
  , outlineColor = "outline-color"
  , outlineOffset = "outline-offset"
  , outlineStyle = "outline-style"
  , outlineWidth = "outline-width"
  , outline = "outline"
  , overflow = "overflow"
  , overflowWrap = "overflow-wrap"
  , overflowX = "overflow-x"
  , overflowY = "overflow-y"
  , paddingBottom = "padding-bottom"
  , paddingLeft = "padding-left"
  , paddingRight = "padding-right"
  , paddingTop = "padding-top"
  , padding = "padding"
  , pageBreakAfter = "page-break-after"
  , pageBreakBefore = "page-break-before"
  , pageBreakInside = "page-break-inside"
  , page = "page"
  , pauseAfter = "pause-after"
  , pauseBefore = "pause-before"
  , pause = "pause"
  , perspective = "perspective"
  , perspectiveOrigin = "perspective-origin"
  , pitchRange = "pitch-range"
  , pitch = "pitch"
  , playDuring = "play-during"
  , position = "position"
  , quotes = "quotes"
  , resize = "resize"
  , restAfter = "rest-after"
  , restBefore = "rest-before"
  , rest = "rest"
  , richness = "richness"
  , right = "right"
  , size = "size"
  , speakHeader = "speak-header"
  , speakNumeral = "speak-numeral"
  , speakPunctuation = "speak-punctuation"
  , speak = "speak"
  , speechRate = "speech-rate"
  , stress = "stress"
  , tabSize = "tab-size"
  , tableLayout = "table-layout"
  , textAlign = "text-align"
  , textAlignLast = "text-align-last"
  , textDecoration = "text-decoration"
  , textDecorationColor = "text-decoration-color"
  , textDecorationLine = "text-decoration-line"
  , textDecorationSkip = "text-decoration-skip"
  , textDecorationStyle = "text-decoration-style"
  , textIndent = "text-indent"
  , textOverflow = "text-overflow"
  , textShadow = "text-shadow"
  , textTransform = "text-transform"
  , textUnderlinePosition = "text-underline-position"
  , top = "top"
  , transform = "transform"
  , transformOrigin = "transform-origin"
  , transformStyle = "transform-style"
  , transition = "transition"
  , transitionDelay = "transition-delay"
  , transitionDuration = "transition-duration"
  , transitionProperty = "transition-property"
  , transitionTimingFunction = "transition-timing-function"
  , unicodeBidi = "unicode-bidi"
  , verticalAlign = "vertical-align"
  , visibility = "visibility"
  , voiceBalance = "voice-balance"
  , voiceDuration = "voice-duration"
  , voiceFamily = "voice-family"
  , voicePitch = "voice-pitch"
  , voiceRange = "voice-range"
  , voiceRate = "voice-rate"
  , voiceStress = "voice-stress"
  , voiceVolume = "voice-volume"
  , volume = "volume"
  , whiteSpace = "white-space"
  , widows = "widows"
  , width = "width"
  , wordBreak = "word-break"
  , wordSpacing = "word-spacing"
  , wordWrap = "word-wrap"
  , zIndex = "z-index"
  }


{-|
-}
type alias Property =
  { alignContent : String
  , alignItems : String
  , alignSelf : String
  , all : String
  , animation : String
  , animationDelay : String
  , animationDirection : String
  , animationDuration : String
  , animationFillMode : String
  , animationIterationCount : String
  , animationName : String
  , animationPlayState : String
  , animationTimingFunction : String
  , azimuth : String
  , backfaceVisibility : String
  , backgroundAttachment : String
  , backgroundBlendMode : String
  , backgroundClip : String
  , backgroundColor : String
  , backgroundImage : String
  , backgroundOrigin : String
  , backgroundPosition : String
  , backgroundRepeat : String
  , backgroundSize : String
  , background : String
  , bleed : String
  , borderBottomColor : String
  , borderBottomLeftRadius : String
  , borderBottomRightRadius : String
  , borderBottomStyle : String
  , borderBottomWidth : String
  , borderBottom : String
  , borderCollapse : String
  , borderColor : String
  , borderImage : String
  , borderImageOutset : String
  , borderImageRepeat : String
  , borderImageSource : String
  , borderImageSlice : String
  , borderImageWidth : String
  , borderLeftColor : String
  , borderLeftStyle : String
  , borderLeftWidth : String
  , borderLeft : String
  , borderRadius : String
  , borderRightColor : String
  , borderRightStyle : String
  , borderRightWidth : String
  , borderRight : String
  , borderSpacing : String
  , borderStyle : String
  , borderTopColor : String
  , borderTopLeftRadius : String
  , borderTopRightRadius : String
  , borderTopStyle : String
  , borderTopWidth : String
  , borderTop : String
  , borderWidth : String
  , border : String
  , bottom : String
  , boxDecorationBreak : String
  , boxShadow : String
  , boxSizing : String
  , breakAfter : String
  , breakBefore : String
  , breakInside : String
  , captionSide : String
  , clear : String
  , clip : String
  , color : String
  , columns : String
  , columnCount : String
  , columnFill : String
  , columnGap : String
  , columnRule : String
  , columnRuleColor : String
  , columnRuleStyle : String
  , columnRuleWidth : String
  , columnSpan : String
  , columnWidth : String
  , content : String
  , counterIncrement : String
  , counterReset : String
  , cueAfter : String
  , cueBefore : String
  , cue : String
  , cursor : String
  , direction : String
  , display : String
  , elevation : String
  , emptyCells : String
  , filter : String
  , flex : String
  , flexBasis : String
  , flexDirection : String
  , flexFlow : String
  , flexGrow : String
  , flexShrink : String
  , flexWrap : String
  , float : String
  , fontFamily : String
  , fontKerning : String
  , fontSizeAdjust : String
  , fontSize : String
  , fontStretch : String
  , fontStyle : String
  , fontVariant : String
  , fontWeight : String
  , font : String
  , hangingPunctuation : String
  , height : String
  , hyphens : String
  , isolation : String
  , justifyContent : String
  , left : String
  , letterSpacing : String
  , lineBreak : String
  , lineHeight : String
  , listStyleImage : String
  , listStylePosition : String
  , listStyleType : String
  , listStyle : String
  , marginBottom : String
  , marginLeft : String
  , marginRight : String
  , marginTop : String
  , margin : String
  , markerOffset : String
  , marks : String
  , maxHeight : String
  , maxWidth : String
  , minHeight : String
  , minWidth : String
  , mixBlendMode : String
  , navUp : String
  , navDown : String
  , navLeft : String
  , navRight : String
  , opacity : String
  , order : String
  , orphans : String
  , outlineColor : String
  , outlineOffset : String
  , outlineStyle : String
  , outlineWidth : String
  , outline : String
  , overflow : String
  , overflowWrap : String
  , overflowX : String
  , overflowY : String
  , paddingBottom : String
  , paddingLeft : String
  , paddingRight : String
  , paddingTop : String
  , padding : String
  , pageBreakAfter : String
  , pageBreakBefore : String
  , pageBreakInside : String
  , page : String
  , pauseAfter : String
  , pauseBefore : String
  , pause : String
  , perspective : String
  , perspectiveOrigin : String
  , pitchRange : String
  , pitch : String
  , playDuring : String
  , position : String
  , quotes : String
  , resize : String
  , restAfter : String
  , restBefore : String
  , rest : String
  , richness : String
  , right : String
  , size : String
  , speakHeader : String
  , speakNumeral : String
  , speakPunctuation : String
  , speak : String
  , speechRate : String
  , stress : String
  , tabSize : String
  , tableLayout : String
  , textAlign : String
  , textAlignLast : String
  , textDecoration : String
  , textDecorationColor : String
  , textDecorationLine : String
  , textDecorationSkip : String
  , textDecorationStyle : String
  , textIndent : String
  , textOverflow : String
  , textShadow : String
  , textTransform : String
  , textUnderlinePosition : String
  , top : String
  , transform : String
  , transformOrigin : String
  , transformStyle : String
  , transition : String
  , transitionDelay : String
  , transitionDuration : String
  , transitionProperty : String
  , transitionTimingFunction : String
  , unicodeBidi : String
  , verticalAlign : String
  , visibility : String
  , voiceBalance : String
  , voiceDuration : String
  , voiceFamily : String
  , voicePitch : String
  , voiceRange : String
  , voiceRate : String
  , voiceStress : String
  , voiceVolume : String
  , volume : String
  , whiteSpace : String
  , widows : String
  , width : String
  , wordBreak : String
  , wordSpacing : String
  , wordWrap : String
  , zIndex : String
  }
